#=======================================================================
# Nginx configuration for LemonLDAP::NG Handler
#=======================================================================
# This file implements the reload virtualhost that permits to reload
# configuration without restarting server.
# You need then to declare this vhost in reloadUrls (in the manager
# interface if this server doesn't host the manager itself):
#
#         KEY       :               VALUE
#   host-or-IP:port :  http://reload.example.com/reload
#
# IMPORTANT:
# To protect applications, see test-nginx.conf template in example files

# Log format
include __CONFDIR__/nginx-lmlog.conf;
#access_log /var/log/nginx/access.log lm_combined;

server {
  listen __PORT__;
  listen [::]:__PORT__;
  server_name reload.__DNSDOMAIN__;
  root /var/www/html;

  # Uncomment this if you are running behind a reverse proxy and want
  # LemonLDAP::NG to see the real IP address of the end user
  # Adjust the settings to match the IP address of your reverse proxy
  # and the header containing the original IP address
  # As an alternative, you can use the PROXY protocol
  #
  #set_real_ip_from  127.0.0.1;
  #real_ip_header    X-Forwarded-For;

  location = /reload {
    allow 127.0.0.0/8;
    allow ::1/128;
    deny all;

    # FastCGI configuration
    include /etc/nginx/fastcgi_params;
    fastcgi_pass unix:__FASTCGISOCKDIR__/llng-fastcgi.sock;
    fastcgi_param LLTYPE reload;

    # OR TO USE uWSGI
    #include /etc/nginx/uwsgi_params;
    #uwsgi_pass 127.0.0.1:5000;
    #uwsgi_param LLTYPE reload;
  }

  # Client requests
  location / {
    deny all;

    # Uncomment this if you use https only
    #add_header Strict-Transport-Security "max-age=15768000";
  }

  # Uncomment this if status is enabled
  #location = /status {
  #  allow 127.0.0.1/8;
  #  allow ::1/128;
  #  deny all;
  #  # FastCGI configuration
  #  include /etc/nginx/fastcgi_params;
  #  fastcgi_pass unix:__FASTCGISOCKDIR__/llng-fastcgi.sock;
  #  fastcgi_param LLTYPE status;
  #  # OR TO USE uWSGI
  #  #include /etc/nginx/uwsgi_params;
  #  #uwsgi_pass 127.0.0.1:5000;
  #  #uwsgi_param LLTYPE status;
  #}
}
